# Cloudutil

A utility library for performing helpful tasks with various cloud platform providers

## Installation

Add this line to your application's Gemfile:

    gem 'cloudutil'

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install cloudutil

## Usage

For AWS helpers:

    require 'cloudutil/aws'

    aws = Cloudutil::AWS(config: existing_AWS::Config_object) -or-
    aws = Cloudutil::AWS(access_key: your_AWS_access_key, secret_key: your_AWS_secret_key)

    subnet_id  = aws.resolve_subnet_id('my_subnet_name_or_tag')
    sec_grp_id = aws.resolve_subnet_id('my_security_group_name_or_tag')
    ami_id = aws.resolve_subnet_id('my_ami_name_or_tag')

## Contributing

1. Fork it ( https://github.com/mmmorris1975/cloudutil/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
